blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
12ffd79676ca4bdc281f5c1ae1b92fda8ea7c41c
Shell
hzalaz/auth0-instrumentation
/tools/npm.sh
UTF-8
1,063
4.09375
4
[ "MIT" ]
permissive
#!/bin/bash MATCHER=${2:-"*"} NPM_TAG=${3:-"beta"} NPM_NAME=$(node tools/attribute.js name) VERSION=$(node tools/attribute.js version) NPM_BIN=$(npm bin) STABLE=$($NPM_BIN/semver $VERSION -r "*") # Enable failing on exit status here because semver exits with 1 when the range # doesn't match. set -e new_line() { ...
true
4affeb7b2221a3d0b2e6fb153c5413ab1dd26e22
Shell
Marito-R-T/SO-2
/Bacula/1.sh
UTF-8
803
2.59375
3
[ "Apache-2.0" ]
permissive
#Instalar Bacula, MariaDB y otros componentes echo "Instalando Bacula y MariaDB"; sudo yum install -y bacula-director bacula-storage bacula-console bacula-client mariadb-server #Empezar el servicio de MariaDB echo "Empezando MariaDB"; sudo systemctl start mariadb /usr/libexec/bacula/grant_mysql_privileges /usr/libexe...
true
6dfa2ac764b5f8869cb5e86c925d46ff69d89899
Shell
cgringmuth/snippets_old
/unix/db.sh
UTF-8
274
2.75
3
[]
no_license
# Find: How to avoid printing to screen Permission denied errors find / -name art 2>&1 | grep -v "Permission denied" # or pipe stderr to null find / -name art 2>/dev/null # find libglut* in all folders but /home find / -name "libglut*" -not -path "/home/*" 2>/dev/null
true
64272ce36a948596f873d56d56197717f8a79dcc
Shell
wangzhe111/ZDM
/ytbetstat.sh
GB18030
2,263
2.90625
3
[]
no_license
#!/bin/sh ############################################### ## file name : ytbetstat.sh ## creator:zhangdm ## create time:2019-08-18 ## modify time: ## copyright (C) BeiJing IWT Technology Ltd. ############################################### ###################Define Envionment Variables######## SCRIPTDIR="/home/postgre...
true
c8c097d477231682ecda7317233972cb25f0bca6
Shell
MylesShannon/vagrant-mylesshannon.me
/aws-provision.sh
UTF-8
2,195
2.6875
3
[ "MIT" ]
permissive
#!/bin/bash sudo apt-get update #> /dev/null 2>&1 sudo apt-get install build-essential git mysql-client libmysqlclient-dev libapache2-mod-php5 php5-mysql libssl-dev zlib1g-dev autoconf bison libyaml-dev libreadline6-dev libncurses5-dev libffi-dev libgdbm3 libgdbm-dev libsqlite3-dev -y # ruby-full ruby-dev -y # curl -o...
true
1b35860d0afa1d6a72764c99998692e193fb960d
Shell
CplRogue/slipshod-scripts
/dashcam/old_tesla_dashcam.sh
UTF-8
1,920
3
3
[]
no_license
#!/bin/bash # # https://github.com/ehendrix23/tesla_dashcam # #/home/mal/.pyenv/shims/tesla_dashcam -h #/home/mal/.pyenv/shims/tesla_dashcam --check_for_update /home/mal/.pyenv/shims/tesla_dashcam --no-check_for_update --no-notification --motion_only --layout DIAMOND --mirror --skip_existing --temp_dir /home/mal/Scr...
true
5905762b08a646728444f5bc3f6c5fc2a75de252
Shell
costalopes71/gnu-linux-courses
/using_switch.sh
UTF-8
369
3.4375
3
[]
no_license
#!/bin/bash echo "Whats tomorrow weather going to be like?" read weather case $weather in sunny | warm ) echo "Nice! I love it when its " $weather ;; cloudy | cool ) echo "Not bad..." $weather " weather is ok, too" ;; rainy | cold ) echo "Yuk!" $weather " weather is depressing" ;; * ) echo "Sorry, Im not fami...
true
9724853936917c4f29fda330a6f9f5109a2c3c9a
Shell
sunfanyunn/ML2017
/hw2/q4.sh
UTF-8
431
2.921875
3
[]
no_license
#!/usr/bin/env bash for i in 1.4 1.45 1.5 1.55 1.6 1.65 1.7 7.75 1.8 1.9 2 do echo $i echo $(python3 generative.py $i) done : ' while ((1)) do num=$(( (RANDOM%106) + 1 )) for (( i=0; i<=num; i++ )) do arr[$i]=$(( (RANDOM%106) + 1 )) done echo $num, ${arr[@]} res=$(python main...
true
97ceee93bc9ad63e4d1c4a1538930855446e45c4
Shell
openlgtv/lgmod_bcm
/OpenLGTV_BCM-src/etc/rc.d/rc.mount2
UTF-8
9,968
3.234375
3
[]
no_license
#!/bin/sh # OpenLGTV BCM script rc.mount2 # MTD Partitions Mounting Script for LG Broadcom platform based TVs by xeros # Source code released under GPL License echo "OpenLGTV_BCM-INFO: mtd mounts..." # partitions names to mtd numbers assignment grep -v erasesize /proc/mtd | sed -e 's/://g' -e 's/\"//g' -e 's/^mtd//g'...
true
0d9e9f1d95e0ffdecc85df62738e6ea2bde6baa3
Shell
wgun/test
/src/sample/1-3.CDC-SHELL-File_To_Hadoop(Hive).sh
UTF-8
2,180
3.1875
3
[]
no_license
## /home/depdev/batch_test/sprint#0-1/1-3.hive_load_from_localfile.sh ## 외부시스템에서 FTP PUT 방식으로 데이터가 Interface 서버의 특정한 경로로 지정된 시간에 들어온다는 가정하에 작성. ## 전송완료 체크파일을 체크하여 파일이 존재하면 HIVE 로 LOAD 를 진행. (존재하지 않으면 5분간격으로 최대 5회 체크작업 재수행.) ####################################################################### ## 프로그램명: 1-3.h...
true
8ca4ba9581a620c06db4809b6a61a3bb83bdcdae
Shell
xhaa123/blfs
/gen-libs/libxslt/01-libxslt-1.1.34.sh
UTF-8
1,084
3.21875
3
[]
no_license
#!/bin/bash ${log} `basename "$0"` " started" blfs_all && ${log} `basename "$0"` " download" blfs_all && if test -d /sources/libxslt-1.1.34 then rm -rf /sources/libxslt-1.1.34 fi SCRIPT=`realpath $0` SCRIPTPATH=`dirname $SCRIPT` wget http://xmlsoft.org/sources/libxslt-1.1.34.tar.gz \ --continue --directory-pr...
true
9c13a15d6782d79f9a212bac587f0d26ce627a09
Shell
geroyoshi/vorm
/cfg/set_function.sh
UTF-8
981
3.4375
3
[]
no_license
#!/bin/ksh #---------------------------------# # set_function # # Authored by Y.Miyamoto # #---------------------------------# #--- 入力 ---# function func_input { sleep 1 while : do echo -e "\n 対象を入力してください > " read FROM_INP_ANS if [[ -z "${FROM_INP_ANS}" ]]; then ...
true
ae171911004e2e6af9d7d72c5ed1e411fc04c13d
Shell
geads/projects
/sw/swService.sh
UTF-8
3,750
3.65625
4
[ "BSD-3-Clause" ]
permissive
#!/bin/bash diff () { printf '%s' $(( $(date -u -d"$TARGET" +%s) - $(date -u -d"$CURRENT" +%s))) } DBFILE=$1 TMPFILE=/tmp/sw2 HTTPBRDPASS=/tmp/httpBrdPass PARSEDBRDPASS=/tmp/parsedBrdPass PWDFILE=/etc/swd/password USERNAME=$(cat $PWDFILE | awk '{print $1}') PWD=$(cat $PWDFILE | awk '{...
true
ee27af7a785de6668240b9174e41e40c44c07188
Shell
VGP/vgp-assembly
/pipeline/meryl/_submit_10x_trimbc_meryl.sh
UTF-8
2,854
3.296875
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash if [ -z $1 ]; then echo "Usage: sh _submit_10x_trimbc_meryl.sh <k-size> <genome_id>" echo "requires input.fofn: ls *R1*.fastq.gz > input.fofn" exit -1 fi k=$1 # 31 genome_id=$2 # genome_id if ! [ -e input.fofn ]; then echo "requires input.fofn: ls --color=never *R1_001.fastq* > input.f...
true
2fd6db97d2fd35ff17645c1ef1d138086a346cd5
Shell
tmux-plugins/tmux-battery
/scripts/battery_color_status.sh
UTF-8
3,687
3.109375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" source "$CURRENT_DIR/helpers.sh" # script global variables color_status_primary_charged='' color_status_primary_charging='' color_status_primary_discharging='' color_status_primary_attached='' color_status_primary_unknown='' color_st...
true
f1c9b3ce43049b411b37759e0f7955fd08bb6741
Shell
jmatth/dextools
/deploy/send-sms.sh
UTF-8
344
2.859375
3
[ "MIT" ]
permissive
#!/bin/bash cd "$(dirname "$0")" if ! test -e twilio_settings.sh; then echo "Missing twilio settings" exit 1 fi source twilio_settings.sh curl -X POST -d "Body=${2}" \ -d "From=${TWILIO_NUMBER}" -d "To=${1}" \ "https://api.twilio.com/2010-04-01/Accounts/${TWILIO_ACCOUNT_SID}/Messages" \ -u "${TWILIO_API_KEY...
true
7625bd8675fb70ffe0d66ec9b7aaa5ccc200ad4b
Shell
thelittlefireman/docker-maltrail
/run.sh
UTF-8
393
2.859375
3
[]
no_license
#!/bin/bash if [ ! -f /root/confmaltrailok.tmp ]; then if [ -z "$PASSWD" ] ;then PASSWD=changeme! fi passwdsha=${echo -n "$PASSWD" | sha256sum | cut -d " " -f 1} sed -i "s/9ab3cd9d67bf49d01f6a2e33d0bd9bc804ddbe6ce1ff5d219c42624851db5dbc/$passwdsha/g" /root/maltrail/maltrail.conf touch /root/confmaltrailok.tmp...
true
a64b679f433016bc5a7c40692d255ce91d06a393
Shell
vishankkumar/pymatgen
/test_files/xtb/sample_CREST_output/.bashrc
UTF-8
1,209
2.703125
3
[ "MIT" ]
permissive
# .bashrc # Source global definitions if [ -f /etc/bashrc ]; then . /etc/bashrc fi # User specific aliases and functions alias sqme="squeue -u alex_epstein" alias cdscratch="cd /global/scratch/alex_epstein" alias loadintel="module load intel/2018.5.274.par" alias interactive="srun -A lr_mp -p cf1 --qos condo_mp_cf1 ...
true
134cd8300901262d3f64e5e42e84af6721e031f3
Shell
kubek2k/heroku-aws-nodejs-lambda-buildpack
/deploy-lambda.sh
UTF-8
1,126
3.390625
3
[]
no_license
#!/bin/bash _LAMBDA_FUNCTION_ARN="${_LAMBDA_FUNCTION_ARN:?You need to set _LAMBDA_FUNCTION_ARN}" _AWS_SECRET_ACCESS_KEY="${_AWS_SECRET_ACCESS_KEY:?You need to set _AWS_SECRET_ACCESS_KEY}" _AWS_ACCESS_KEY_ID="${_AWS_ACCESS_KEY_ID:?You need to set _AWS_ACCESS_KEY_ID}" _AWS_DEFAULT_REGION="${_AWS_DEFAULT_REGION:?You need...
true
f75be366e220b2f3ab48d5931cdf6b5167d9cce9
Shell
harkous/decentralized-voting
/Emulab/Quasi/PLManage/execute/startKevinBootstrap.sh
UTF-8
1,104
3.859375
4
[]
no_license
#!/bin/bash # This script allows to start a bootstrap # # Usage: command [bootstrap_name:[bootstrap_port]] [log_file] source ../configure.sh if [ $# -ne 2 ] then echo -e "\e[35;33mNo arguments provided, using default: $BOOTSTRAP:$BOOTSTRAP_PORT"; tput sgr0 # magenta echo -e "\e[35;33mIf you want to define a bo...
true
17af382ed6b8ed096e2b8a80faa0213fb6bde614
Shell
mcouliba/cloud-native-labs
/solutions/all/kill-mvn-process.sh
UTF-8
134
2.71875
3
[]
no_license
#!/bin/bash PROCESSES=$(ps aux | grep apache-maven | awk -F' ' '{print $2}') for p in $PROCESSES ; do kill -9 $p 2>/dev/null done
true
635610b31a31bbc255697e5d5100d01bcebbe01d
Shell
pyar6329/sphinx_template
/mk_sphinx.sh
UTF-8
560
3.609375
4
[ "MIT" ]
permissive
#!/bin/bash GREEN=$'\e[0;32;1m'; RED=$'\e[0;31;1m'; YELLOW=$'\e[1;33;1m'; COLOR_OFF=$'\e[0m'; if [ ! "$#" = "2" ]; then echo "$RED""please input 'Your Project Name' 'Your Author Name' !""$COLOR_OFF" else mkdir "$1" cd "$1" cat ../sphinx_input_redirect.txt | sed -e 's/project_name/'"$1"'/' > tmp.txt ...
true
95c991af12b4e21ff7be99975d4cbeaa50c60303
Shell
AlexandreJean/BenchBlobStorage
/scripts/read_inputs.sh
UTF-8
288
2.875
3
[]
no_license
#!/bin/bash for key in $(jq -r 'keys[]' $1) do if [[ $key =~ "list" ]] then for i in `seq 0 $(( $(jq -r ".$key | length" $1) - 1))` do eval "$key[$i]"=`jq -r ".$key[$i]" $1` done else eval "$key"=`jq -r ".$key" $1` fi done
true
a05482f9ab0b2ebf4cd32425c798895d8cb4d20f
Shell
invkrh/dotfiles
/eos/loki-init.sh
UTF-8
2,734
2.65625
3
[ "MIT" ]
permissive
#!/bin/bash # Install chrome wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb sudo apt install -y ./google-chrome-stable_current_amd64.deb rm ./google-chrome-stable_current_amd64.deb # Install vscode wget https://az764295.vo.msecnd.net/stable/9e4e44c19e393803e2b05fe2323cf4ed7e36880e/code...
true
3b15715b4958b464af15ac3316987a56c05c779e
Shell
jswift948/sample_scripts
/maintain_redhat_repos
UTF-8
12,394
3.9375
4
[]
no_license
#!/bin/bash # maintain_redhat_repos # Purpose: This scripts job is to maintain the RedHat EL6 repositories. HOST=`uname -n` PROG=`basename $0` LOG=/var/log/${PROG}.log #EMAIL_LIST=jsswift EMAIL_LIST=linux_admin@pwrutc.com CREATEREPO=/usr/bin/createrepo REPO_PARENT_DIR=/data/redhat_repo REPOSYNC_SERVERS="arlaplnfs03|ar...
true
7dddc8d3d011af68b4e366b8ce5cd2cf9b7ef9a7
Shell
vercau/fce
/.c42/scripts/build.sh
UTF-8
1,579
3.53125
4
[]
no_license
#!/bin/bash function dcRun { docker-compose run --rm $@ } DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )" cd $DIR/../.. echo echo "===============" echo "COPY ENV FILE" echo "===============" cp -rv src/client/.env.$1 src/client/.env echo echo "===============" echo "BUILD A RELEASE" echo "===...
true
a226c2edb5d530d4c5535493e3e1e0ef3e0252f8
Shell
uc-cdis/cloud-automation
/gen3/bin/squid.sh
UTF-8
1,984
3.828125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # In order to facilitate the swithing of the active squid instance # we came up with a script that would force it for us. # # This would be helpful for those environments where downtime should # be close to none when migrating to the HA model. Also helpful when # new feature/updates/critical-changes are i...
true
547c73362627c030a38127938e0cac0ec9970f80
Shell
jahil/kernel26-patches
/2.6.19/patches/ktau-1.7.15-bgpzepto-p1/user-src/src/oldstuff/INSTALL-user.sh
UTF-8
1,144
3.1875
3
[ "LicenseRef-scancode-warranty-disclaimer", "LicenseRef-scancode-other-permissive" ]
permissive
# Temporary ktau_proc_interface install script # - builds ktau_proc_interface.o # - create libktau.a # - build read_ktau, purge_ktau utilities # - puts all binaries in ../bin/ # - creates soft link to read_ktau, purge_ktau from /usr/sbin # # [Temporary, until configure, makefile have been setup to work with userspace ...
true
fdce793d28207fd882430c9306f59ba0fd5cf14a
Shell
mathias-nyman/blackarch
/archpwn/ruby-pnet-dns/PKGBUILD
UTF-8
701
2.640625
3
[]
no_license
# TODO: make package function pkgname=ruby-pnet-dns pkgver=1.0.2 pkgrel=1 pkgdesc="A direct port of the perl Net::DNS project" arch=(any) url="http://rubyforge.org/projects/pnet-dns/" license=('APACHE') depends=(ruby) makedepends=(rubygems) source=(http://gems.rubyforge.org/gems/pNet-DNS-$pkgver.gem) noextract=(pNet-DN...
true
51fa85b9c405c485f5c2aeb0cfb686ff0e7eb9e6
Shell
ruoyangwang/ece496root
/bin/client.sh
UTF-8
453
2.71875
3
[]
no_license
#!/usr/bin/env bash #java -classpath lib/zookeeper-3.3.2.jar:lib/log4j-1.2.15.jar:. Client localhost:2181 ZOOBIN="${BASH_SOURCE-$0}" ZOOBIN="$(dirname "${ZOOBIN}")" ZOOBINDIR="$(cd "${ZOOBIN}"; pwd)" if [ -e "$ZOOBIN/../libexec/zkEnv.sh" ]; then . "$ZOOBINDIR"/../libexec/zkEnv.sh else . "$ZOOBINDIR"/zkEnv.sh fi ...
true
4eab10efa6ce9a6a9263d0426411021767b4df5f
Shell
realmgic/amc
/deployment/common/amc.deb
UTF-8
2,405
3.765625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # amc Manage the amc app server # # chkconfig: 2345 95 01 # description: amc is Aerospike Cloud's Application Server # processname: amc # config: /etc/amc.conf # pidfile: /var/run/amc.pid ### BEGIN INIT INFO # Provides: amc # Required-Start: $local_fs $network # Required-Stop: # Should-Start...
true
63ae2a01bff23fdab660e0fd4cfa1e06091122db
Shell
shkm/dotfiles
/setup/setup.sh
UTF-8
4,427
3.609375
4
[]
no_license
#!/usr/bin/env bash OS=$(cat /etc/os-release | grep "^ID=" | sed 's/^ID=//') MONOSPACE_FONT="JetBrainsMono" STOW_CONFIGS="asdf bat fish git jetbrains nvim scripts sh tig vim" function packages() { printf "\n--> Installing packages for $OS\n" if [[ $OS = "fedora" ]]; then sudo dnf install -y openssl-devel zli...
true
7af79d55567d08bdca1bbb70614b80be66349648
Shell
minatr-png/pruebaExamen1
/ej1.sh
UTF-8
257
3.5
4
[]
no_license
read -p "Dime un número: " num1 read -p "Dime otro número: " num2 if [ $num1 -ne $num2 ]; then if [ $num1 -gt $num2 ]; then echo "$num1 es mayor a $num2." else echo "$num2 es mayor a $num1." fi else echo "Ambos números son iguales." fi
true
263f8846601443c1366267078e0ababa7d5286d6
Shell
ELD/setup-scripts
/setup.sh
UTF-8
668
2.921875
3
[]
no_license
#!/usr/bin/env bash set -e echo "Setting path to incldue /usr/local/bin" export PATH="/usr/local/bin:$PATH" echo "Pausing until you sign into the Mac App Store" read -n1 -r -p "Press any key to continue..." key echo "Caching password..." sudo -K sudo true; clear MY_DIR="$(dirname "$0")" source ${MY_DIR}/scripts/se...
true
3a6a3d0260e68b61e7c077053867a23069860155
Shell
youboox/readium-sdk
/Platform/Apple/MakeHeaders.sh
UTF-8
1,435
3.421875
3
[ "BSD-3-Clause" ]
permissive
#!/bin/zsh # # MakeHeaders.sh # ePub3 # # Created by Jim Dovey on 2013-04-26. # Copyright (c) 2012-2013 The Readium Foundation and contributors. # # The Readium SDK is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software...
true
008d3e0f8c34e30f19aae335c4893ab02e05e1d9
Shell
LiuJianxun/shell
/deletebak.sh
UTF-8
111
2.796875
3
[]
no_license
#!/bin/bash for file in `ls *.bak` do echo ${file%.*} mv $file ${file%.*} done echo "Done!\n" exit 0
true
45d5ab95e1ca56960ebbb980b329cfdc4e63a476
Shell
SSR-Bit/siusiu
/myvendor/nmap/gui/run.sh
UTF-8
424
3.578125
4
[ "MIT" ]
permissive
#!/bin/bash base_path=$HOME/src install_path=$base_path/nmap #安装程序目录 exe_path=/Applications/Zenmap.app #源码目录 function download { wget -P $install_path https://nmap.org/dist/nmap-7.92.dmg open $install_path/nmap-7.92.dmg } #1.检查程序目录是否存在 if [ !-d $exe_path ]; then echo "[*] download..." download $i...
true
408f0f481b6cf811b7825eaa9d757a26ca721f54
Shell
shoracek/kernel-tests
/networking/bridge/common/lib.sh
UTF-8
15,568
3.015625
3
[]
no_license
#!/bin/bash # # Copyright (c) 2013 Red Hat, Inc. All rights reserved. # # This copyrighted material is made available to anyone wishing # to use, modify, copy, or redistribute it subject to the terms # and conditions of the GNU General Public License version 2. # # This program is distributed in the hope that it will b...
true
06a5abfdf4d8f3de32e09481b811e900c85efac7
Shell
andypern/spark-streaming
/streaming_intro/run_streaming.sh
UTF-8
1,092
3.4375
3
[]
no_license
#!/usr/bin/bash # To use this: # 1) mkfifo /mapr/cluster/input # 2) tail -f /mapr/cluster/input | nc -lk 9999 # 3) start this spark app to connect to the port # 4) echo/cat stuff into /mapr/cluster/input # This should allow the connection to stay open, and be able to shove whatever you want into the FIFO and have it s...
true
a2c4b0c87f9f800423f43db36bd08b33088b50dc
Shell
rokups/naga-dkms
/PKGBUILD
UTF-8
1,045
2.953125
3
[]
no_license
#!/bin/sh _pkgbase=naga pkgname=${_pkgbase}-dkms pkgver=1 pkgrel=1 pkgdesc="Razer Naga keypad remap module (DKMS)" arch=('i686' 'x86_64') url="https://github.com/rikiji/razer-naga" license=('GPL2') depends=('dkms') conflicts=("${_pkgbase}") install=${pkgname}.install source=('naga.c' 'dkms.conf' 'naga-d...
true
50fdc15aa164f2a082ad5b48ace1c5f3e4ce0212
Shell
Alwahsh/GlitterGallery
/.openshift/action_hooks/build
UTF-8
388
2.78125
3
[]
no_license
#!/bin/bash # This is a simple build script and will be executed on your CI system if # available. Otherwise it will execute while your application is stopped # before the deploy step. This script gets executed directly, so it # could be python, php, ruby, etc. #makes the symlink going from public/data to ~app-root...
true
10e9c16200540ac522cac5f7d4589cc0e6ab33f8
Shell
kfzhai/software
/virtual_setup/of_stop.sh
UTF-8
843
3.171875
3
[]
no_license
#!/bin/bash # Reset sudo killall -q qemu-system-x86_64 sudo killall -q ofdatapath sudo iptables -F sudo iptables -F -t nat sudo ip_forward 0 sleep 1 for virt in veth of_tap tap ncif tun; do for dev in /sys/class/net/$virt*; do if [ "x$dev" == "x" ]; then break; fi # Check if r...
true
930c93a82c659d60e8c2fadf80298b8c50d5fadb
Shell
dimir2/hse12pi2-scripts
/AnfilovaA/shell/hw03/sort.sh
UTF-8
679
3.796875
4
[ "MIT" ]
permissive
#!/bin/bash array=0 function readFromFile { index=0 while read line do array[$index]="$line" (( index++ )) done < $1 } function printArray { for ((a=0; a < ${#array[*]}; a++)) do echo "$a: ${array[$a]}" done } function bubleSort { arrayLength=${#array[@]} for i in `seq 0 $((arrayLength-1)...
true
18a7cb63c6d6688ac6e487c66a72bc6de24dae72
Shell
gbegley/aws-utils
/ec2-stopped-volumes-report.sh
UTF-8
1,770
3.484375
3
[ "MIT" ]
permissive
################################################################################################### # Get stopped ec2 instances and parse/output their attached volume IDS into the VOLUMES variable ################################################################################################### aws ec2 describe-inst...
true
5a14014c47cd29f8bf74e9311027570669b59ec0
Shell
montarion/deaddrop
/accesspoint/start.sh
UTF-8
813
2.796875
3
[]
no_license
#variables! RUNUSER=pi if [ ! -e /home/$RUNUSER/accesspoint/.firstrun.check ] then sudo /home/$RUNUSER/accesspoint/.firstrun.sh fi echo "configuring access point.." mv /etc/hostapd/hostapd.conf /etc/hostapd/hostapd.conf.bak cp /home/$RUNUSER/accesspoint/hostapd.conf /etc/hostapd/hostapd.conf echo "you can change th...
true
ba9b5395e95cabc8dcd92ce69cbc09bbe3700a08
Shell
drichardson/net-multimeter
/sampler.sh
UTF-8
1,987
4.3125
4
[ "Unlicense" ]
permissive
#!/usr/bin/bash set -e usage() { echo "Usage: sampler.sh <interface> <capture_dir> <process_dir>" } # # Get parameters # if [ -z "$1" ]; then echo "Missing interface" usage exit 1 fi INTERFACE=$1 if [ -z "$2" ]; then echo "Missing capture_dir" usage exit 1 fi CAPTURE_DIR=$2 if [ -z "$3" ...
true
683fb2c843751d9e86ca591350dd0d22f4cb286a
Shell
drahosj/WERPlus
/refresh-mysql-local.sh
UTF-8
829
2.90625
3
[ "WTFPL", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#! /bin/bash pushd ~/tournament-server/output EVENT=`cat event` ROUND=`cat round` echo "delete from TOURNAMENT_TABLE;" > script.sql mysql tournamentdb < script.sql cat pairings | while read LINE_CONTENTS do TABLE=`echo $LINE_CONTENTS | cut -f 1 -d ' '` lastNameP=`echo $LINE_CONTENTS | cut -f 2 -d ' '` firstNameP=...
true
48faf01d7a5c422dda8430f719a78f8866da6260
Shell
knyfree/Bigdata
/resource_calc.sh
UTF-8
4,759
2.84375
3
[]
no_license
#!/bin/sh echo " <-- 서버별 리소스 >" NumOfNodes=3 ## (노드 개수) NumofCPUCores=4 ## (CPU 물리 코어 개수) TotMemSizes=32 ## (메모리 크기) NumOfDisk=8 ## (디스크 개수) TotServer=5 ## (전체 서버 대수) #NumOfNodes=3 ## (노드 개수) #NumofCPUCores=4 ## (CPU 물리 코어 개수) #TotMemSizes=32 ## (메모리 크기) #NumOfDisk=8 ## (디스크 개수) ...
true
837ada7877b5ef940d44dd5e01c578f23db11568
Shell
Moreno-ID/5TOOLS
/5tools.sh
UTF-8
2,988
3.1875
3
[]
no_license
#!/bin/bash #MauRecode? #Variables bi='\033[34;1m' #biru ij='\033[32;1m' #ijo pr='\033[35;1m' #purple cy='\033[36;1m' #cyan me='\033[31;1m' #merah pu='\033[37;1m' #putih ku='\033[33;1m' #kuning or='\033[1;38;5;208m' #Orange clear figlet '5TOOLS' | lolcat echo $ij'-------------------------------------------------------...
true
5fb5387f149635671d9669d812bc5363ff964daa
Shell
Fraguinha/BSc
/SO/Projecto/1st/src/backup.sh
UTF-8
1,350
3.625
4
[]
no_license
#!/usr/bin/env bash case $1 in 1) echo tar -czf "backup/user/$(date).tar.gz" data 2>/dev/null && echo "Backup criado com sucesso" || echo "Backup falhou" echo "Pressione [enter] para continuar" read ;; 2) echo -n >/tmp/backuplist ls -1 backup/user >>/tmp/backuplist OPNUM=$(wc -l </tmp/backuplist) echo echo "...
true
1c25b358370d8a907640a5d45d330f9dd32bbcbc
Shell
geoffreylooker/dotfiles-1
/bash/_git_bash
UTF-8
1,833
2.671875
3
[]
no_license
#!/usr/bin/env bash # vim: set tabstop=2 shiftwidth=2 foldmethod=marker: #git aliases {{{ alias gg='git grep --break --heading --line-number' alias gbv='git branch -avv' alias gbf='git branch -f' alias gau='git add -u :/' alias gaud='git add -u .' alias gl='git --no-pager l -n12' __git_alias "gf" "git" "fetch" "-p" al...
true
4f724306df7c60c73f8c9c7969c64a0b392f8d37
Shell
DruggedBunny/monkey2
/scripts/updateted2go.sh
UTF-8
917
2.640625
3
[ "Zlib" ]
permissive
source common.sh echo "" echo "***** Updating ted2 *****" echo "" $mx2cc makeapp -apptype=gui -build -config=release -target=desktop ../src/ted2go/ted2.monkey2 $mx2cc makeapp -apptype=gui -build -config=release -target=desktop ../src/launcher/launcher.monkey2 if [ "$OSTYPE" = "linux-gnu" ] then rm -r -f "$ted2" ...
true
42733cec6bd3fcef76cf41a0a83e138b49c24f06
Shell
shimarulin/ubuntu-installation-helpers
/helpers/add-ppas-from-list.sh
UTF-8
214
3.015625
3
[]
no_license
#!/bin/bash PPAS="../config/ppas"; declare -a repositories; repositories=( `cat "$PPAS"`); for ppa in ${repositories[@]}; do sudo add-apt-repository -y ${ppa} && echo Add ${ppa} done done sudo apt-get update
true
1da94709d1efa48deddb0f12085afefb31c9b321
Shell
JulianVolodia/lang-samples
/bash.sh
UTF-8
633
3.921875
4
[]
no_license
#!/usr/bin/env bash set -x set -e # Defensive bash programming: http://www.kfirlavi.com/blog/2012/11/14/defensive-bash-programming/ # Conditional expressions: http://www.gnu.org/software/bash/manual/html_node/Bash-Conditional-Expressions.html if [ conditional expression ] then statement1 statement2 . else sta...
true
84a2ee731d852b668f6c1c2827d757b3d2fec839
Shell
markuz449/COSC349-Assignment-1
/installs/build_webserver.sh
UTF-8
771
2.8125
3
[]
no_license
add-apt-repository ppa:ondrej/php apt-get update apt-get install -y apache2 php libapache2-mod-php php-mysql php-curl imagemagick php-imagick apt-get install php-phalcon cp /vagrant/installs/000-default.conf /etc/apache2/sites-available/000-default.conf a2enmod rewrite sed -i '/upload_max_filesize/c\upload_max_filesize...
true
646747f7f99ade88e77f5d29e3f25059c32d2486
Shell
Tommertom/NAZverryPie
/piwebagent.sh
UTF-8
2,189
2.78125
3
[]
no_license
#!/bin/bash # NAZverryPie NAS installation script - Copyright (c) 2014 TomGrun # # Permission is hereby granted, free of charge, to any person # obtaining a copy of this software and associated documentation # files (the "Software"), to deal in the Software without # restriction, including without limitation the rights...
true
178a9c674b7014a0faed259eec9d08c4d73e1869
Shell
keira-claudette/AirBnB_clone_v2
/0-setup_web_static.sh
UTF-8
735
2.953125
3
[]
no_license
#!/usr/bin/env bash # sets up your web servers for the deployment of web_static # Read: https://www.geeksforgeeks.org/mkdir-command-in-linux-with-examples/ sudo apt-get -y update sudp apt-get -y install nginx ufw allow 'Nginx HTTP' mkdir -p /data/web_static/ mkdir -p /data/web_static/shared/ mkdir -p /data/web_static/r...
true
231f4bb240807eef87f5b0dd88f71e094348a0d6
Shell
keith-fischer/gopro-tests-desktop
/GDA/runpkg.sh
UTF-8
5,112
2.578125
3
[]
no_license
#!/bin/sh # Prerequisites # Mac # # Delete GoPro and GoPro Studio from your Applications Folder. # Delete the "GoPro" folder from macHD/Users/[your user]/Pictures/ # Delete all "com.gopro.xxx" files from macHD/Users/[your user]/library/preferences # Delete all "com.gopro.xxx" folders from macHD/Users/[your user]/li...
true
7d7fe6676fc7938b985382e5c85e07a7ae7786c3
Shell
heiligster/dotfiles
/tmux/theme.sh
UTF-8
1,050
3
3
[]
no_license
color_white="white" color_light="colour11" color_midgrey="colour19" color_darkgrey="colour18" status_separator=" " icon="👻 " host="#h" battery_icon="🔋 " battery_status="#{battery_percentage} #{battery_remain}" date="%d. %h - %H:%M" # Set default statusbar color set-option -g status-bg $color_midgrey tm_status_left=...
true
693e57cbd4f094d7c26e3284a244eaadf003bea1
Shell
Mordokkai/PrjSpe
/c/Detection/detection/haar_txt_to_list
UTF-8
722
2.515625
3
[]
no_license
#!/bin/bash awk ' BEGIN { n_r=0; n_rf=0; n_f=0; n_s=0; n_fs=0; } $1=="D" { dim=$0 } $1=="R" { rect[n_r]=$2 " " $3 " " $4 " " $5; rect_weight[n_r]=$6; n_r++; n_rf++; } $1=="F" { feature[n_f]=$2 " " $3 " " $4; feature_rect[n_f]=n_rf; n_rf=0; n_f++; n_fs++; } $1=="S" { stage_threshold[n_s]=$2...
true
fbe80085430c2a8f26ac26b108950f8ab0fabd45
Shell
niavasha/py-az2tf
/scripts/allconvert.sh
UTF-8
117
2.640625
3
[ "MIT" ]
permissive
for i in `ls *_azurerm_*.sh` ;do j=`echo $i | cut -f1 -d '.'` cp $i $j.pyi ./convert.sh $j.pyi cp stub.py $j.py done
true
19d5ad36e9b1d9713b95ddb0030aacd4c077c8d5
Shell
syanthonyadam/Mercury-Tutorial
/Lab/Solutions/2-Parallel-Job/parallel.sh
UTF-8
1,611
2.875
3
[]
no_license
#!/bin/bash # This is a comment #--------------------------------------------------------------------------------- # Account information #SBATCH --account=phd # basic (default), staff, phd, faculty #--------------------------------------------------------------------------------- # Resources requested ...
true
5658f75ef48fdc4d6b025771d348ab2eac1b9bf0
Shell
fluffy-unicorn/STR-Lab2-Task22
/klee/output_to_csv.sh
UTF-8
327
3.171875
3
[]
no_license
#!/bin/bash ERROR_CODES=$(grep "i=" klee-out-0/*.assert.err | cut -d"=" -f2 | cut -d")" -f1 | sort -n | uniq) for e in $ERROR_CODES do error_states[${e}]=1 done rm -f result.csv for i in `seq 0 99` do if [[ "1" -eq "${error_states[$i]}" ]] then echo "$i,true" >> result.csv else echo "$i,false" >> result.csv f...
true
0b51b13a3f4f6e7c5f68c5c9670d12881dfd01fe
Shell
edudobay/dotfiles
/bin/xdebug
UTF-8
740
4
4
[]
no_license
#!/usr/bin/env bash set -o nounset -o errexit -o pipefail VERBOSE=${VERBOSE-1} config_file=/etc/php/conf.d/xdebug.ini VERBOSE() { if [[ $VERBOSE = 1 ]]; then echo 1>&2 "$@" fi } case "${1-}" in on) VERBOSE "Enabling xdebug extension in $config_file" sudo sed -i '/zend_extension=x...
true
be556a050d5932e3aebb04c85db372f5b928f5d1
Shell
isaiahmcgeef/Portfolio-Projects
/update_navigation.sh
UTF-8
1,774
3.0625
3
[ "MIT" ]
permissive
#!/bin/bash NAVIGATION=$(cat <<'END_HEREDOC' <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar"> <!-- ... --> <li class="nav-item"> <a class="nav-link" href="dashboard.html"> <i class="fas fa-fw fa-tachometer-alt"></i> <span>Dashboard</span> </a> <...
true
cf0509c71b9edb279d6c3a7fa084be25db08cb9c
Shell
in-the-keyhole/byzantine-orderer
/start.sh
UTF-8
1,521
3.484375
3
[ "CC-BY-4.0" ]
permissive
#!/bin/bash # # Copyright IBM Corp All Rights Reserved # # SPDX-License-Identifier: Apache-2.0 # # Exit on first error, print all commands. printf "********* ./startOrderer.sh - Start the ORDERER and CA (Certificate Authority) PEER" set -ev # don't rewrite paths for Windows Git Bash users export MSYS_NO_PATHCONV=1 exp...
true
196b4bbed76747fab5f34a1663cd92d90e4f6ba8
Shell
jelber2/paleomix
/paleomix/resources/examples/nature_protocols/alignment/000_rawreads/setup.sh
UTF-8
876
3.8125
4
[]
no_license
#!/bin/bash set -o nounset # Fail on unset variables set -o errexit # Fail on uncaught non-zero returncodes set -o pipefail # Fail is a command in a chain of pipes fails cd $(dirname $0) for ENA in `ls */000_ENA | sort`; do SAMPLE=$(dirname ${ENA}) echo "Fetching FASTQ reads for sample '${SAMPLE}' ..." ...
true
d221299a6d92b674ee80c5ce10c418e0f8eff7c3
Shell
GlennVerguchte/promenade
/charts/proxy/templates/bin/_liveness-probe.sh.tpl
UTF-8
1,707
3.765625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash set -eu IPTS_DIR=/tmp/liveness FAILURE=0 {{- if .Values.livenessProbe.whitelist }} WHITELIST='({{- join "|" .Values.livenessProbe.whitelist -}})' {{- end }} REQUEST='GET /healthz HTTP/1.0\r\nHost: localhost:10256\r\n' if [[ $(echo -e "${REQUEST}" | socat - TCP4:localhost:10256 | grep -sc '200 OK') -lt ...
true
7c99d83951de8904c665d89c3203a26791bbb8a8
Shell
edwardbadboy/ptyforward
/remoteConsole.sh
UTF-8
256
2.671875
3
[]
no_license
#!/usr/bin/bash -- if [ -z "$1" ]; then exit 1 fi if [ "$2" != "post" ]; then (socat tcp:127.0.0.1:8888,nodelay exec:"\\\"$0\\\" \\\"$1\\\" post",fdin=5,fdout=6) r=$? reset exit $r fi echo -e "$1\n" >&6 socat fd:5'!!'fd:6 -,raw,echo=0,escape=0x1d,cr0
true
17b32259880e517d2adff56e800ce1ebbd2b540b
Shell
omogbemeh/website-compose
/upgrade.sh
UTF-8
452
3.59375
4
[]
no_license
#!/bin/bash set -e pushd docker-compose if [ $# -eq 0 ]; then echo "Usage: $0 [-dpr]" echo "" echo "Options:" echo " -d Delete unused images (from all of docker!)" echo " -p Pull updates from dockerhub " echo " -r Rebuild deployment" echo "" exit 1 fi if [[ $* == *-p* ]]; then docker-compose build --pul...
true
320bff907445dd2bbd99130714c94a857ae083b7
Shell
SFU-HiAccel/merlin-compiler
/trunk/dist/link.sh
UTF-8
2,965
4.09375
4
[ "LicenseRef-scancode-unknown-license-reference", "Apache-2.0" ]
permissive
######################################################################## # check_symbolic() takes a file/folder path and returns a list of folders. # These are the smallest folders to allow every sympolic links under the input # path be valid. # # for example: # dir1-|-dir2 -|-file1 # |-file5 |-file2 # ...
true
b0ec41e3e4b27bc85c705dfc29ad99c3eef711b7
Shell
ohmyzsh/ohmyzsh
/plugins/jake-node/jake-node.plugin.zsh
UTF-8
564
2.703125
3
[ "MIT" ]
permissive
#---oh-my-zsh plugin : task Autocomplete for Jake tool--- # Jake : https://github.com/mde/jake # Warning : Jakefile should have the right case : Jakefile or jakefile # Tested on : MacOSX 10.7 (Lion), Ubuntu 11.10 # Author : Alexandre Lacheze (@al3xstrat) # Inspiration : https://weblog.rubyonrails.org/2006/3/9/fast-rake...
true
a14d41bb8864cf3afbef2bcc63b44cc7119a726a
Shell
EOX-A/ngeo-b
/install/ngeo-install.sh
UTF-8
42,420
3.15625
3
[ "MIT" ]
permissive
#!/bin/sh -e #------------------------------------------------------------------------------- # # Project: Browse Server <https://github.com/EOX-A/ngeo-b> # Authors: Fabian Schindler <fabian.schindler@eox.at> # Marko Locher <marko.locher@eox.at> # Stephan Meissl <stephan.meissl@eox.at> # #------------...
true
08d7f28ed8ae9126ba72aa576f1cfcccfb49c9c3
Shell
NCAR/swes-container-tools
/parmdb
UTF-8
18,866
4.375
4
[]
no_license
#!/bin/sh PROG=parmdb DESC="A simple secret/parameter database" USAGE1="$PROG -p|--put=param=value [-c|--constant] [-s|--secret]" USAGE2="$PROG -g|--get=param [-d|--env-default]" USAGE3="$PROG -i|--init=rcfile [-c|--constant] [-s|--secret]" USAGE4="$PROG -a|--load-assignments=filename" USAGE5="$PROG -e|--load-env [parm...
true
f70c4a48f765d10a3619e9db8af0553bec368568
Shell
phpdocker/phpdocker
/bin/check-status-code
UTF-8
400
3.578125
4
[ "MIT" ]
permissive
#!/bin/bash # Usage: # URL="http://example.com" check-status-code # URL="http://example.com" STATUS=200 check-status-code # URL="http://example.com" STATUS=301 check-status-code RESPONSE_STATUS=$(curl --write-out "%{http_code}\n" --silent --insecure --output /dev/null $URL) echo $RESPONSE_STATUS if [ $RESPONSE_STATU...
true
d9487f220819fa6075b82bbd0300ec909bf645a0
Shell
affanfarid/DailyProblems
/bashWordFreq/bashWordFreq.sh
UTF-8
1,116
3.875
4
[]
no_license
# Write a bash script to calculate the frequency of each word in a text file words.txt. # For simplicity sake, you may assume: # words.txt contains only lowercase characters and space ' ' characters. # Each word must consist of lowercase characters only. # Words are separated by one or more whitespace ch...
true
96d6fd786e7d40b447e869d5a1f188de72a084e9
Shell
GoogleCloudPlatform/training-data-analyst
/courses/machine_learning/deepdive2/end_to_end_ml/labs/pipelines/containers/pipeline/1_deploy_cloudrun.sh
UTF-8
1,278
3.09375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash -e # Copyright 2020 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed ...
true
fb9881a24f7ef0e5881d89663bbb6acd139fd3e1
Shell
DrG33k/HomeKeeper
/broadcast.sh
UTF-8
226
2.609375
3
[]
no_license
#!/bin/bash TEXT=$1 source /etc/telegram/.owners source /etc/telegram/.config for OWNER in ${OWNERS[@]}; do curl -s --max-time 10 -d "chat_id=$OWNER&text=$TEXT" https://api.telegram.org/bot$HASH/sendMessage > /dev/null done
true
dfc90f8e40a16503d1a41842637c4745f3456727
Shell
gfolego/alzheimers
/src/brain_process.sh
UTF-8
13,737
3.34375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Adapted from # https://github.com/stnava/ANTs/blob/51b08bb5ab03275df81f6c7047ab7d2d59705c8a/Scripts/antsRegistrationSyNQuick.sh # https://github.com/stnava/ANTs/blob/51b08bb5ab03275df81f6c7047ab7d2d59705c8a/Scripts/antsBrainExtraction.sh VERSION="0.0.0 test" echo "--------------------- Running `bas...
true
7741c36a14e0c0f29b7e60a16f6144abfc614bcb
Shell
AdrianGin/rock64-dev
/custom_config/etc/init.d/W50hostapd
UTF-8
442
3.5
4
[]
no_license
#!/bin/sh # case "$1" in start) printf "Starting WiFi AP: " start-stop-daemon -S -b -p /var/run/hostapd.pid --exec /usr/sbin/hostapd /etc/hostapd.conf [ $? = 0 ] && echo "OK" || echo "FAIL" ;; stop) printf "Shutting down WiFi AP: " start-stop-daemon -K -p /var/run/hostapd.pid [ $? = 0 ] && echo "OK" || echo ...
true
fdbf8f56294bfdbbc8fc2225cbaab3736f457f03
Shell
swapnil106111/Kolibri-scripts
/setup_hotspot.sh
UTF-8
364
2.59375
3
[]
no_license
#!/bin/bash if [[ $EUID -ne 0 ]]; then echo "This script must be run as root or use sudo" exit 1 fi apt-get -y purge dnsmasq hostapd kolibri-hotspot apt-get install -y dnsmasq git rm -rf kolibri-hotspot/ git clone https://github.com/swapnil106111/kolibri-hotspot.git dpkg -i kolibri-hotspot/hostapd/hostapd*.deb d...
true
651e04c9bac8059073778ca61325167a253bf8a7
Shell
HenryRocha/dotfiles
/zsh/.zshrc
UTF-8
6,309
2.78125
3
[]
no_license
##################################################################################### # ZSH CONFIG ##################################################################################### # Lines configured by zsh-newuser-install HISTFILE="$HOME/.config/zsh/.histfile" HISTSIZE=1000 SAVEHIST=10000 # Options section setopt...
true
4a7ba4fc06dac107464a9ba8f7321ce679e0b65f
Shell
inodb/scripts
/findLaneBams.sh
UTF-8
692
3.78125
4
[]
no_license
#!/bin/bash # usage: ./findLaneBams [sample dir index] [sample id] # returns lane bams # $Id: $ INDEX_SAMPLE_DIRS=~/share/scripts/indexSampleDirs.sh if [ $1 == "-b" ]; then echo "Indexing..." >&2; sh ${INDEX_SAMPLE_DIRS} $1; shift; fi sample_dirs=$1 sample=$2 dir=`grep "$sample" $sample_dirs`; if [ "$di...
true
b2a10cb57be12fab6d9510cddfbe5f143ac90db1
Shell
jgfruitbomb/Pandoc-Live-Compile
/autoCompile.sh
UTF-8
651
4
4
[]
no_license
#!/bin/bash ## Author: Justin Fruitticher version=1.0 ###*** FUNCTIONS ***### function errorText { echo -e "Version: $version\n Usage: ./autoCompile -f [File pathway]" } ## File select while getopts f: opt; do case $opt in f) FILENAME=$OPTARG;; esac done ## Check if filename is empty if [[ -z ${FILENAME} ]];...
true
436ee04efb6c2a21fc8a57e3ff077c356f596654
Shell
devops-pj/vasanth_devops_files
/9.Jenkins/buidlJob.sh
UTF-8
684
2.65625
3
[]
no_license
#!/bin/bash #title : Jenkins CLI #description : #author : Mithun Technologies #date : 08112012 #version : 1.0 #usage : #CopyRights : Mithun Technologies #Contact : 9980923226 JENKINS_URL=http://13.233.153.11:9980 JENKINS_USER=mithuntechnologies #Her...
true
7b290b57f4a2839dc5c9fe975003779ca8d4df15
Shell
lehela/openvpn-proxy
/vpn/bin/entrypoint.sh
UTF-8
621
2.859375
3
[]
no_license
#!/bin/bash VPN_CONF=/etc/openvpn/default.conf echo "Using config file : " $VPN_CONF # echo "Disabling firewall" # ufw disable echo "Starting vpn client" openvpn \ --config $VPN_CONF \ --setenv PATH '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin' \ --auth-user-pass /etc/openvpn/credentials...
true
e848ef7cd57df2be4673e3852ae8d6b31dc1166e
Shell
00mjk/sag_acs_dev_env
/shared_dir/scripts/start_acs.sh
UTF-8
267
3.28125
3
[]
no_license
#!/bin/bash DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" LOG="$DIR/tmp_logs/last_acsStart.log" LOG_PID="$DIR/tmp_logs/acs_pid.log" echo "starting ACS -> log in $LOG" acsStart > "$LOG" 2>&1 & echo "$!" > "LOG_PID" echo "ACS is started"
true
365996d931aefa9444b07b217e95b80be7e4fd50
Shell
Jenny-Nelson-Group/Charge-transport-in-OSCs
/Box Sync/PhD/QuantumChemistry/Js/OriginalProjectiveMethod/Extract_Js.sh
UTF-8
378
2.9375
3
[]
no_license
#!/bin/sh dir=$1 mol1=$2 mol2=$3 for i in "${mol1}" do for j in "${mol2}" do if [ -f ""${dir}"_"$i"_"$j"_J_nosymm.txt" ]; then grep "Non_degenerate_LUMO_coupling" "${dir}"_"$i"_"$j"_J_nosymm.txt > temp.txt J=$(grep -Eo '\<[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?\>' temp.txt) echo $i $j $J >> Js_LUMO_"${dir}".txt...
true
de7fbd00f65651fe25c21407a7239b3e6ad239cb
Shell
kissthink/slackbuilds-7
/xap/update-flashplayer-plugin.sh
UTF-8
615
2.5625
3
[]
no_license
#!/bin/sh LATEST_VERSION=$(wget -c "https://get.adobe.com/fr/flashplayer/download/?installer=Flash_Player_11.2_for_other_Linux_(.tar.gz)_64-bit&standalone=1" -O - | grep -o "https://fpdownload.adobe.com/get/flashplayer/pdc/[0-9.]*/install_flash_player_11_linux.x86_64.tar.gz" | grep -o "/[0-9.]*/" | tr -d / | grep -v "...
true
bc9953bca7cebdf791e3bfae633d656e0371b9eb
Shell
crmitchelmore/dotfiles
/commands/is-btrfs
UTF-8
380
3.609375
4
[ "MIT", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
#!/usr/bin/env bash source "$DOROTHY/sources/strict.bash" function is-btrfs() ( local path path="$( ask --required \ --question="Enter the path to test if it is a BTRFS mount." \ --default="${1-}" )" command-exists btrfs test -n "${1-}" mount | grep "on $path type btrfs" ) # fire if invoked standalone...
true
c18bfba1c8f4d39f5ae6be96544cbc9986a71a7a
Shell
tuiSSE/sighty
/githooks/post-checkout-hook
UTF-8
230
2.765625
3
[ "MIT" ]
permissive
#!/bin/sh # http://stackoverflow.com/a/25801605 # on deployment machine: # copy this script to .git/hooks/post-checkout and make it executable node githooks/git_to_version-json_js RETVAL=$? if [ $RETVAL -ne 0 ] then exit 1 fi
true
e8ac1302a322d146df5555ec74bab990543cb59d
Shell
ofaaland/iorscripts
/ior_runner.sh
UTF-8
29,923
3.96875
4
[]
no_license
#!/bin/bash ####################################################################### # Author: Robert E. Novak # email: novak5@llnl.gov, sailnfool@gmail.com # # Run the ior script repeatedly across a set of processors. The # initial implementation takes the list of CPU sets as a command # line option, E.G.: # # ioru...
true
21c7174ecbbcc1c6ff29dd5f762cf7bc0aa8dae4
Shell
georgwallisch/gwtools
/backup_www.sh
UTF-8
2,383
3.953125
4
[]
no_license
#!/bin/bash # author: Georg Wallisch # contact: gw@phpco.de # copyright: Copyright © 2018 by Georg Wallisch # credits: Georg Wallisch # date: 2018/07/31 # deprecated: False # email: gw@phpco.de # license: GPL # maintainer: Georg Wallisch # status: beta SRC_PATH=/var/www BACKUP_SUFFIX=tar.gz BACKUPS=5 USAGE="USAGE: sud...
true
ce8b1ec27918536454dd4b59b01d5ae361d6a67e
Shell
Fisicapd-LE/MasterTh
/script/glob
UTF-8
79
2.59375
3
[]
no_license
#!/bin/bash shopt -s extglob if compgen -G "$1" > /dev/null then ls -v $1 fi
true
5fbb989508380565817e3033fb8f1f1ce957d789
Shell
SepehrImanian/sepi
/setup
UTF-8
2,644
4
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # install dependency if [ -z "$1" ] || [ "$1" = "-h" ] || [ "$1" = "--help" ]; then echo "you should use ubuntu/centos for first flag like this:" echo "./setup.sh ubuntu/centos install install nodejs,mongodb,pm2" echo "./setup.sh ubuntu/centos program_name or install specific...
true
645e5ac7633b488bc80f1a61ceaf04be2a7c3dab
Shell
Timpsik/dps-raft
/startLatencyClients.sh
UTF-8
2,230
3.890625
4
[]
no_license
#!/bin/bash ## Check if 3 arguments are given if [ "$#" -ne 1 ]; then echo "Illegal number of parameters, 1 expected. Username" exit 2 fi ## Username of the caller username=$1; module load prun ## Get Raft nodes, they are since 9th column, expect them to be the first reservation of the user. raftNodes=$(preserve ...
true
630c6441c63a144d1bad6736db26f91e978bed61
Shell
ccmail2015/vault-poc
/amazon/dev-installation/7_vault_policy.sh
UTF-8
492
2.71875
3
[]
no_license
#!/usr/bin/env bash # list policy vault policy list # read policy default vault policy read default # write a policy vault policy write <my-policy> - <<EOF EOF vault policy write my-policy - << EOF # Dev servers have version 2 of KV secrets engine mounted by default, so will # need these paths to grant permissions...
true
6d2955b6f78380a0802c33b8004865554b27b76b
Shell
ikifar2012/hassbian-scripts
/package/opt/hassbian/suites/install_duckdns.sh
UTF-8
1,670
3.90625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash function duckdns-show-short-info { echo -e "Setup for Duck DNS auto renewal." } function duckdns-show-long-info { echo -e "This script adds an cron job to auto uppdate you the WAN IP address for the defined domain." } function duckdns-show-copyright-info { echo "Original concept by Ludeeus <https://githu...
true
176886b3b7feebb66cbb1c2ffb09b584fee3f5c4
Shell
dianamatata/CRDs_nov20
/A_CRDs/10a_merge_module_bed.sh
UTF-8
875
2.859375
3
[]
no_license
#!/bin/bash DATADIR3=/home/users/a/avalosma/scratch/3_CRD # step 1: bedtools merge by cell type for cell_type in 'EGAD00001002670' 'EGAD00001002672' 'EGAD00001002673' ; do bedtools merge -i $DATADIR3/${cell_type}.ALLchr.module.bed > $DATADIR3/${cell_type}.ALLchr.module.merged.bed done # step 2: compute intersect ...
true
24bcc7bb897143ec2530ae84a763b142d2f11158
Shell
walker233/updateWordPressUrl
/wpUpdateUrl
UTF-8
1,643
4.09375
4
[]
no_license
#!/bin/sh # # wpUpdateUrl runs the autoUpdateWpName script # # chkconfig: 345 95 5 # description: Runs the update script for WordPress to update name references \ # in the database and configuration files. ### BEGIN INIT INFO # Provides: one time WordPress name update on AWS # Required-Start: $local_fs # Required...
true